
/*@import "https://fonts.googleapis.com/css?family=Roboto:300,400,500,600,700,800,900";*/
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@300;400;500;600;700;800;900');

* {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
}

:root {
  --blue: #4e73df;
  --indigo: #6610f2;
  --purple: #6f42c1;
  --pink: #e83e8c;
  --red: #e74a3b;
  --orange: #fd7e14;
  --yellow: #f6c23e;
  --yellow-light: #f6c23e;
  --green: #00ff00; /*#1cc88a;*/
  --teal: #20c9a6;
  --cyan: #36b9cc;
  --black: #000;
  --white: #fff;
  --gray: #858796;
  --gray-light: #858796;
  --gray-dark: #5a5c69;
  
  --primary: #6d00c6;
  --primary-2: #0039ad; /*#4a00bb;*/
  --secondary: #b8b2c6;
  --highlight: #3fded9;
  --text-color: #333;
  --link: #325bd7;/*#17b9b5; #4e73df #4375c4*/
  --nav-color: #b2dddc; /*#c8d56e;*/      
  --nav-color-hover: #fff;
  --bg-color: #EFEFEF;
  --bg-color-foot: #4eb5b2;
  --bg-color-distinct: #7474f0;
  
  --info: #d86bff;
  --warning: #f6c23e;
  --danger: #e74a3b;
  --light: #f8f8fb;
  --dark: #121243;

  --breakpoint-xs: 0;
  --breakpoint-sm: 576px;
  --breakpoint-md: 768px;
  --breakpoint-lg: 992px;
  --breakpoint-xl: 1200px;
  
  --font-family-sans-serif: 'Source Sans Pro', -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  --font-family-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
}

html, body{
    height: 100%;
    width: 100%;
}

body {
    
    display:flex;
    flex-direction: column;    
    font-family: var(--font-family-sans-serif);
    overflow-x: hidden;
    
    /* background: var(--bg-color);*/ 
    background: radial-gradient(50% 100% at 90% 90%, var(--primary-2) 30%, var(--primary) 100%), linear-gradient(127.43deg, var(--primary-2) 10%, var(--primary) 100%);
    background-blend-mode: screen;
    background-attachment: fixed;    
    
    /*background-image: url(var(--bg-image));
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    background-size: cover;*/
}


/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */

#wrap, wrap, .wrap {
    display:flex;
    flex-direction: column;
    flex: 1 1;
    width: 100vw;
    min-height: 100vh;
}

header {
    display:flex;
    position: fixed;
    top: 0;
    z-index: 100;
    justify-content: space-between;
    background: transparent linear-gradient(135deg, var(--primary) 0%, var(--primary-2) 100%);
}
.logo-wrap {
    width: 300px;
    left: 0;
    top: 0;
    height: 56px;
}
#header-logo {
    display: block;
    float: left;
    margin: auto;
    max-width:300px;
}
#header-logo:hover{
    opacity: 0.6;
    filter: alpha(opacity=60);
}

#main, main, .main{
  display: flex;
  flex-direction: column;
  /*flex-wrap: wrap;*/
  flex: 1 1;
  /*flex: auto;
  overflow: scroll;*/
  /*flex: 1;  
  min-height: calc(100vh-498px);
  min-height:100%;*/
  margin-top: 56px;
  background-color: var(--bg-color);
  /*background: transparent linear-gradient(180deg, rgba(0, 0, 0, 0.20) 10%, rgba(0, 0, 0, 0.40) 90%);*/
  /*background: rgba(150, 150, 255, 0.50);*/
}



footer {
  display: flex;
  flex-direction: column;
  width: 100%;
  color: white;
  background: var(--secondary);
}
#footer-main{
    display: flex;
    flex-direction: column;
}
footer a{
    color: var(--primary);
}
footer a:hover{
    color: var(--highlight);
}
footer ul{
     list-style: none;
     display: inline-flex;
}
.footer-col{
    text-align: center;
    flex: 1;
    border-bottom: 1px solid var(--highlight);
}
.footer-col:last-child{
    border-bottom: none;
}
.footer-foot{
    display: flex;
    height: 3rem;
    width: 100%;
    align-items: center;
    justify-content: center;
    background-color:  var(--primary);
}
.footer-info{
    color: white;
}

#content, content, .content {
    display: flex;
    flex: 1 1;
    flex-direction: column;
    /*justify-content: space-between;*/
    /*min-height: calc(100vh - 400px);*/
}

#sidebar{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#hidenav {    
    position: fixed;
    display: none;
    top: 0;
    left: 0;
    height: 100vh;
    flex-basis: 300px;
    max-width: 300px;
    z-index: 10;
}

/*------------------------------------------------*/

p {
    font-size: 1.1em;
    font-weight: 300;
    line-height: 1.7em;
    color: var(--text-color);
}

h1, h2, h3, h4{
    /*text-decoration: underline;*/
    color: var(--primary);
}

a {
    color: var(--link);
    text-decoration: none;
}

a:hover,
a:focus {
    color: var(--secondary);
}


ul a {
    font-size: 0.9em !important;
    padding-left: 15px !important;
}

ul ul a {
    font-size: 0.9em !important;
    padding-left: 30px !important;

}

/*custom card styling*/
.card {
    background: white;
    color: var(--primary-2);
    /*box-shadow: 1px 1px 5px #DEF;*/ 
}
.card-body {
    background: white;
    color: var(--text-color);
}

/*--media queries ------*/

@media only screen and (max-width: 576px) {
    
    header{
        width: 100%;
    }
    
    #sidenav {

    }
    
    #main, main{
        margin-left: 0;
    }

    .w-sm{
        max-width: 576px;
    }
    .w-md{
        max-width: 576px;
    }
    .w-lg{
        max-width: 576px;
    }
    .w-xl{
        max-width: 576px;
    }
    
    .widget{
        margin: 10px;
    }

    .d-sm-block {
        display: block;
    }
    .d-sm-inline {
        display: inline;
    }

    .d-sm-inline-block {
        display: inline-block;
    }
}

@media only screen and (min-width: 577px) {
        
    header{
        width: 100%;
    }
    
    #sidenav {
        
    }
        
    .d-md-block {
          display: block;
    }
    .d-md-inline {
        display: inline;
    }
  
    .d-md-inline-block {
        display: inline-block;
    }
}


@media only screen and (max-width: 768px) {
    
    .widget{
        margin: 15px;
    }
    
    .w-sm{
        max-width: 576px;
    }
    .w-md{
        max-width: 768px;
    }
    .w-lg{
        max-width: 768px;
    }
    .w-xl{
        max-width: 768px;
    }
}
@media only screen and (min-width: 769px) {
        
    header{
        width: 100%;
    }
    
    #sidenav {
        
    }
    #main{

    }
    #content{

    }

}
@media only screen and (max-width: 992px) {
    
    .widget{
        margin: 20px;
    }
    
    .w-sm{
        max-width: 576px;
    }
    .w-md{
        max-width: 768px;
    }
    .w-lg{
        max-width: 992px
    }
    .w-xl{
        max-width: 992px;
    }
}

@media only screen and (min-width: 993px) {

    .navbar-toggler {
        display: none;
    }
    
    header{
        margin-left: 300px;
        width: calc(100vw - 300px);
    }

    #hidenav{
        display: flex;
        flex-direction: column;
    }

    #main, main, .main{
        margin-left: 300px;
        width: calc(100vw - 300px);
    }

    footer{
        margin-left: 300px;
        width: calc(100vw - 300px);
        align-items: center;
    }    

    #footer-main{
        flex-direction: row;
        /*flex-wrap: wrap;*/
        justify-content: space-between;
    }
    
    .footer-col{
        flex: 1;
        text-align: center;
        /*min-width:285px;*/
        border-bottom: none;
    }
    
    .widget{
        margin: 15px;
    }
  
    .d-lg-block {
          display: block;
    }

    .d-lg-inline {
        display: inline;
    }
  
    .d-lg-inline-block {
        display: inline-block;
    }
}

@media only screen and (max-width: 1200px) {
        
    .w-sm{
        max-width: 576px;
    }
    .w-md{
        max-width: 768px;
    }
    .w-lg{
        max-width: 992px
    }
    .w-xl{
        max-width: 1200px;
    }

}

